Bug 20528 - Remove the items tab from the detailed bibliographic view
Summary: Remove the items tab from the detailed bibliographic view
Status: In Discussion
Alias: None
Product: Koha
Classification: Unclassified
Component: Cataloging (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on: 19974
Blocks: 20396
  Show dependency treegraph
 
Reported: 2018-04-05 14:44 UTC by Gaetan Boisson
Modified: 2018-06-19 00:37 UTC (History)
10 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gaetan Boisson 2018-04-05 14:44:44 UTC
The normal view offers a nice tabular display of the items, with buttons to choose which one to modify, and lots of other options. The items tab seems redundant to me, not as pretty/legible, and in fact quite confusing.

Also, since it duplicates functionality, it's prone to seeing its code drift behind and act differently than the *other* interface to manage items, as here: https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=19974

I suggest removing it.
Comment 1 Jonathan Druart 2018-04-05 15:02:09 UTC
Then we need to rethink both I guess.
On the "Items" views there are much more information than the "Normal" one: https://screenshots.firefox.com/9GIm8pXzJNUKIpUC/pro.kohadev.org

Also you can mark items as lost, damaged or withdrawn in one click, add notes, etc.
Comment 2 Katrin Fischer 2018-04-05 15:20:50 UTC
The items tab has a lot of information that we don't have in other places.

- full acq history
- last patrons who checked the item out
- item specific checkout history
...

I don't feel it's useless at all at the moment or easy to replace. We'd need a good concept for giving access to the information that is only displayed there.
Comment 3 Gaetan Boisson 2018-04-06 10:44:40 UTC
"Also you can mark items as lost, damaged or withdrawn in one click, add notes, etc."

Yes, but it requires you to go to this items tab, so one click to change the page. If you click modify next to the item you want to modify in the normal display, you also get a screen where you can modify these values quickly. I think the benefit here is marginal at best.

"- full acq history"

I think this is now available in the acquisition tab in the normal display.

"- last patrons who checked the item out
- item specific checkout history"

Filters in the checkout history for the bibliographic record allow us to find this information.
Comment 4 Katrin Fischer 2018-04-06 10:51:47 UTC
(In reply to Gaetan Boisson from comment #3)
> "Also you can mark items as lost, damaged or withdrawn in one click, add
> notes, etc."
> 
> Yes, but it requires you to go to this items tab, so one click to change the
> page. If you click modify next to the item you want to modify in the normal
> display, you also get a screen where you can modify these values quickly. I
> think the benefit here is marginal at best.

I could agree on removing the editing options or placing them in a better place. At the moment I think the link on the barcode from checkouts goes to the items tab and allows for faster editing there. Would have to chang that. Might be interesting anyway - looking for links to the item tab.

> 
> "- full acq history"
> 
> I think this is now available in the acquisition tab in the normal display.

No, quite a different beast as it was added libraries using AcqCreateItem in Catalouging in mind. The acq tab gives you a summaries of orders for the record, not information about items. 

> 
> "- last patrons who checked the item out
> - item specific checkout history"
> 
> Filters in the checkout history for the bibliographic record allow us to
> find this information.

But it's not as compact and requires more clicks.
Comment 5 Joy Nelson 2018-04-06 16:51:11 UTC
I'm in agreement with Katrin here.  There is valuable information that libraries need access to at a glance.  (# of circs, history, etc)  You would still need a place to display this information on a tab here.

Additionally, the difference in functionality is something many libraries have built very specific workflows around and would need to retain.  (charging fines/removing checkouts)  Removing the quick editing function (set to lost/missing - adding notes quickly) would be onerous for some libraries.

Also, this cleaner interface on the Items tab is better suited for many circulation desk staff.  The item grid with the item subfields listed is more 'cataloger-like' and not designed for "non librarian" staff to use easily.

-joy




(In reply to Katrin Fischer from comment #2)
> The items tab has a lot of information that we don't have in other places.
> 
> - full acq history
> - last patrons who checked the item out
> - item specific checkout history
> ...
> 
> I don't feel it's useless at all at the moment or easy to replace. We'd need
> a good concept for giving access to the information that is only displayed
> there.
Comment 6 Lisette Scheer 2018-04-06 17:29:34 UTC
(In reply to Joy Nelson from comment #5)

> Additionally, the difference in functionality is something many libraries
> have built very specific workflows around and would need to retain. 
> (charging fines/removing checkouts)  Removing the quick editing function
> (set to lost/missing - adding notes quickly) would be onerous for some
> libraries.
> 

We are one of those libraries that would have major workflow problems if the quick edit function was removed. 
Our circulation desk staff visits these pages constantly to change items to lost or damaged statuses, as well as to check on previous borrower information. 

Our circ staff can quick edit only the statuses on this page but can't go in and edit the whole record/item, which works perfectly for our workflow. 

> I'm in agreement with Katrin here.  There is valuable information that
> libraries need access to at a glance.  (# of circs, history, etc)  You would
> still need a place to display this information on a tab here.

Having info like total circs etc also means if we are already marking it with a status that needs that kind of information further down the workflow, we have it all in the same easy to find place. 
-Lisette
Comment 7 Fanny Mion Mouton 2018-04-09 14:57:11 UTC
Hi, our library also developped some workflows using the item tab (Withdrawn status,Lost status) and we find this compact tab very useful to get easily some informations such as circulation history.
Comment 8 Heather 2018-04-19 20:17:37 UTC
I'm a total cataloger, and I find that trying to edit items via that "Items" button on the left in between the "ISBD" and "Holds" button is, to me, horrid--the resulting display of item records going endlessly down screen with tons of white space is terrible--it's not uncommon for us to have dozens, if not hundreds, of items on a record, and even where there are just a few items, the display scrolls down and down without really clear delineation between items--it's easy for staff to make mistakes and edit the wrong item so all my staff is trained to use the Edit Items tab into the edit items table.  When I have a serial with 200+ items, it is pretty much impossible to try to navigate to trying to edit an item via that button.  I always choose the "Edit" pull-down-menu button across the top of the bib record which is in between the "New" button and the "Save" button, which
gives me a, to me, more easily navigated visually table of items with instant
access to a search box at the top of the table, and I would love for this
to be the only way to get into editing items.

If the "Edit items" table is too confusing for non-catalogers, then perhaps there's a way to control the column visibility via their login so that they can achieve an edit items experience suited to their commonly used tasks?  (There may be already--I haven't checked--my staff is trained to use the Column Visibility function).  I am generally in favor of a user-customizable experience and one can customize the Edit Items table easily via Column Visibility and the search box.

And it just seems like there should be only way to edit items--this is the only ILS I've ever seen that has two different edit item functions.
Comment 9 Joy Nelson 2018-04-19 20:47:29 UTC
Heather-
Yes, it is unusual to have to two methods to update items.  However, keep in mind that there are different actions taken by Koha when editing lost statuses in the Items tab or Items grid.  For circulating libraries (mainly public) this is essential for their workflow.  Additionally the information about circulation stats that can be easily and quickly seen on the Items tab is useful for circulating libraries.  

joy

> 
> And it just seems like there should be only way to edit items--this is the
> only ILS I've ever seen that has two different edit item functions.
Comment 10 Heather 2018-04-19 20:53:20 UTC
Hi, Joy!

Oh, yes--I understand that there are different actions & useful information & stats there--I just hope that it can all be combined into one method for updating items.  And I just had to add my opinion about which method for editing was preferable for me & why, in case it was useful.  Overall, I just hope that there will eventually be one method.

--h2

> Yes, it is unusual to have to two methods to update items.  However, keep in
> mind that there are different actions taken by Koha when editing lost
> statuses in the Items tab or Items grid.  For circulating libraries (mainly
> public) this is essential for their workflow.  Additionally the information
> about circulation stats that can be easily and quickly seen on the Items tab
> is useful for circulating libraries.
Comment 11 Lisette Scheer 2018-04-19 22:01:06 UTC
I agree that it would be nice if there was one combined method. 

I think as long as clicking on the barcode from the check-in screen or the barcode on the took you somewhere where you could edit the item and see statuses for that specific item that would work. 
We rarely look through the tab directly because it is pretty terrible to scroll through. 
Since our circulation staff can't edit items but can edit statuses, we would need to be able to set SubfieldsToAllowForRestrictedEditing to only be those statuses.

Also, to see the Lost, Damaged,  and nonpublic note fields you have to click again on the show hidden fields button. I'm not sure if that button is a setting we can change or not, but that adds an additional click to our workflow.
 
Our next problem would be that as a (about) 50 library consortium, getting all the libraries to agree on what is allowed is highly unlikely. It would be better if it could be set per branch or per staff member even. 

I forget what the different actions are that are taken when edited the different ways, but we would also need to examine that. 


Lisette
Comment 12 Elaine Bradtke 2018-04-23 18:05:43 UTC
+1 I can see how some libraries use this, but it's very awkward with multiple items.
(In reply to Heather from comment #8)
> I'm a total cataloger, and I find that trying to edit items via that "Items"
> button on the left in between the "ISBD" and "Holds" button is, to me,
> horrid--the resulting display of item records going endlessly down screen
> with tons of white space is terrible--it's not uncommon for us to have
> dozens, if not hundreds, of items on a record, and even where there are just
> a few items, the display scrolls down and down without really clear
> delineation between items--it's easy for staff to make mistakes and edit the
> wrong item so all my staff is trained to use the Edit Items tab into the
> edit items table.  When I have a serial with 200+ items, it is pretty much
> impossible to try to navigate to trying to edit an item via that button.  I
> always choose the "Edit" pull-down-menu button across the top of the bib
> record which is in between the "New" button and the "Save" button, which
> gives me a, to me, more easily navigated visually table of items with instant
> access to a search box at the top of the table, and I would love for this
> to be the only way to get into editing items.
> 
> If the "Edit items" table is too confusing for non-catalogers, then perhaps
> there's a way to control the column visibility via their login so that they
> can achieve an edit items experience suited to their commonly used tasks? 
> (There may be already--I haven't checked--my staff is trained to use the
> Column Visibility function).  I am generally in favor of a user-customizable
> experience and one can customize the Edit Items table easily via Column
> Visibility and the search box.
> 
> And it just seems like there should be only way to edit items--this is the
> only ILS I've ever seen that has two different edit item functions.
Comment 13 Liz Rea 2018-06-07 23:24:07 UTC
Maybe the items tab page really just needs a design refresh. Will have a think about that.
Comment 14 Hugh Rundle 2018-06-19 00:37:10 UTC
The functionality in the items tab is definitely not redundant.

However, it *is* pretty confusing that clicking on the barcode and clicking on 'edit item' take you to two completely different places.

It feels like 'click on barcode' is supposed to take the user to somewhere useful for circ changes (e.g. changing a item statuses) and clicking on 'edit' is more designed for cataloguing changes (e.g. updating a call number). However, this isn't actually consistent: you can't change a Not-For-Loan status in "Items", for example, which doesn't seem to be very logical.

So I don't have a big problem with removing the tab, as long as there is no loss of *ease*, and the functional separation between "things circ staff might need to update" and "things cataloguing staff might need to update" is still there: i.e. forcing everyone to go into the cataloguing module to update an item status would be bad, not least because it means all circ staff would need access to cataloguing.